## pk-control-sync pk-control-sync |

## Functions

gboolean | pk_control_get_properties ()
gchar ** | pk_control_get_transaction_list ()
gboolean | pk_control_suggest_daemon_quit ()
gboolean | pk_control_set_proxy ()
gboolean | pk_control_set_proxy2 ()

## Description

## Functions

### pk_control_get_properties ()

    gboolean
    pk_control_get_properties (PkControl *control,
                               GCancellable *cancellable,
                               GError **error);

Gets the properties the daemon supports. Warning: this function is synchronous, and may block. Do not use it in GUI applications.

#### Parameters

control | a valid PkControl instance |
cancellable | a GCancellable or `NULL` |
error | A GError or `NULL` |

#### Returns

`TRUE` if the properties were set correctly

Since: 0.5.3

### pk_control_get_transaction_list ()

    gchar **
    pk_control_get_transaction_list (PkControl *control,
                                     GCancellable *cancellable,
                                     GError **error);

Gets the transaction list in progress. Warning: this function is synchronous, and may block. Do not use it in GUI applications.

#### Parameters

control | a valid PkControl instance |
cancellable | a GCancellable or `NULL` |
error | A GError or `NULL` |

#### Returns

The list of transaction id's, or `NULL`, free with `g_strfreev()`.

[transfer full]

Since: 0.5.3

### pk_control_suggest_daemon_quit ()

    gboolean
    pk_control_suggest_daemon_quit (PkControl *control,
                                    GCancellable *cancellable,
                                    GError **error);

Suggests to the daemon that it should quit as soon as possible. Warning: this function is synchronous, and may block. Do not use it in GUI applications.

#### Parameters

control | a valid PkControl instance |
cancellable | a GCancellable or `NULL` |
error | A GError or `NULL` |

#### Returns

`TRUE` if the suggestion was sent

Since: 0.6.2

### pk_control_set_proxy ()

    gboolean
    pk_control_set_proxy (PkControl *control,
                          const gchar *proxy_http,
                          const gchar *proxy_ftp,
                          GCancellable *cancellable,
                          GError **error);

Sets the network proxy to use in the daemon. Warning: this function is synchronous, and may block. Do not use it in GUI applications.

#### Parameters

control | a valid PkControl instance |
proxy_http | the HTTP proxy server |
proxy_ftp | the FTP proxy server |
cancellable | a GCancellable or `NULL` |
error | A GError or `NULL` |

#### Returns

`TRUE` if the proxy was set correctly

NOTE: This is just provided for backwards compatibility. Clients should really be using `pk_control_set_proxy2()`.

Since: 0.6.3

### pk_control_set_proxy2 ()

    gboolean
    pk_control_set_proxy2 (PkControl *control,
                           const gchar *proxy_http,
                           const gchar *proxy_https,
                           const gchar *proxy_ftp,
                           const gchar *proxy_socks,
                           const gchar *no_proxy,
                           const gchar *pac,
                           GCancellable *cancellable,
                           GError **error);

Sets the network proxy to use in the daemon. Warning: this function is synchronous, and may block. Do not use it in GUI applications.

#### Parameters

control | a valid PkControl instance |
proxy_http | the HTTP proxy server |
proxy_https | the HTTPS proxy server |
proxy_ftp | the FTP proxy server |
proxy_socks | the SOCKS proxy server |
no_proxy | the list of download IPs that shouldn't go through the proxy |
pac | the PAC string |
cancellable | a GCancellable or `NULL` |
error | A GError or `NULL` |

#### Returns

`TRUE` if the proxy was set correctly

Since: 0.6.13

## Types and Values